/*
 * @(#)WhoisExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.whois.*;
import java.io.*;

public class WhoisExample {
    public void query(String domain) throws WhoisException {
        Whois whois = new Whois();
        System.out.println(whois.query(domain));
    }
    
    public static void main(String[] args) {
        String domain;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter domain to lookup (e.g. javasoft.com): ");
            domain = reader.readLine();
            WhoisExample example = new WhoisExample();
            example.query(domain);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

